Package org.h2.util.json

# Class JSONStringSource

java.lang.Object
org.h2.util.json.JSONTextSource
org.h2.util.json.JSONStringSource

public final class JSONStringSource extends JSONTextSource
JSON string source.

## Method Summary

Modifier and Type
Method
Description
`static byte[]`
`normalize(String string)`
Normalizes textual JSON representation.
`static <R> R`
`parse(String string, JSONTarget<R> target)`
Parses source string to a specified target.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### parse

public static <R> R parse(String string, JSONTarget<R> target)
Parses source string to a specified target.

Type Parameters:
  `R` - the type of the result
Parameters:
  `string` - source
  `target` - target
Returns:
  the result of the target

### normalize

public static byte[] normalize(String string)
Normalizes textual JSON representation.

Parameters:
  `string` - source representation
Returns:
  normalized representation

### toString

public String toString()

Overrides:
  `toString` in class `Object`